FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 06-29-2012, 12:01 PM
Christophe-Marie Duquesne
 
Default Bug 679504: ITP: lazylpsolverlibs -- libraries that proxy function calls to commercial lp solvers

Package: wnpp
Severity: wishlist
Owner: Christophe-Marie Duquesne <chmd@chmd.fr>

* Package name : lazylpsolverlibs
Version : 0.1.44
Upstream Author : Christophe-Marie Duquesne <chmd@chmd.fr>
* URL : https://code.google.com/p/lazylpsolverlibs/
* License : EPL
Programming Lang: C
Description : libraries that proxy function calls to commercial lp solvers

Lazylpsolverlibs [1] is a set of libraries designed to make Coin-Osi
[2] support commercial solvers without recompilation. Under the hood,
it uses dlopen on the commercial libraries.

----

Currently, the package for Coin-Osi (coinor-libosi-dev) cannot be used by
people who use commercial solvers. This partly defeats the purpose of
using a multi-solver interface.

Adding lazylpsolverlibs in Debian and recompiling coinor-libosi-dev against it
would solve this problem, thus this ITP.

Thanks!

[1]: http://code.google.com/p/lazylpsolverlibs/
[2]: https://projects.coin-or.org/Osi
--
Christophe-Marie Duquesne


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/CAHLp1YkjWYmKMeo3zFGvza0iRb07mKxLkY=KfVmxpFZQKT7Dd A@mail.gmail.com
 

Thread Tools




All times are GMT. The time now is 10:02 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org